Pro transfer_all_hdr_keys, hdrfrom, hdrto, OVERWRITE=overwrite, HISTORY=history, COMMENTS=comments
  ;Transfers all header keywords from hdrfrom to hdrto.
  ;WRITTEN, Jonathan Gagne, April 25 2014.
  
  forward_function strmid_arr, strpos_arr, transfer_hdr_keys, strkill, sxaddhist
  
  gg = where(strpos(hdrfrom,'=') ne -1L, ngg)
  if ngg ne 0L then begin
    keys = strtrim(strmid_arr(hdrfrom[gg],0L,strpos_arr(hdrfrom[gg],'=')),2)
    transfer_hdr_keys, hdrfrom, hdrto, keys, OVERWRITE=overwrite
  endif
  if keyword_set(comment) then begin
    kk = 'COMMENT'
    gg = where(strmid(hdrfrom,0L,strlen(kk)) eq kk, ngg)
    if ngg ne 0L then begin
      ladd = hdrfrom[gg]
      strkill, ladd, kk
      ladd = strtrim(ladd,2)
    endif
    for i=0L, ngg-1L do $
      sxaddhist, ladd, hdrto, /COMMENT
  endif
  if keyword_set(history) then begin
    kk = 'HISTORY'
    gg = where(strmid(hdrfrom,0L,strlen(kk)) eq kk, ngg)
    if ngg ne 0L then begin
      ladd = hdrfrom[gg]
      strkill, ladd, kk
      ladd = strtrim(ladd,2)
    endif
    for i=0L, ngg-1L do $
      sxaddhist, ladd, hdrto
  endif
End